Subject: History Is Just Old Stuff

From: "Chaotrope" <[email-masked]>
Date: Fri, 5 Feb 1999 12:52:25 -0500

While cleaning out useless outdated computer
junk from my closets, so I can have space to 
store more useless outdated computer junk in 
the closets, in order to have room in my "living" 
space for the Linux system I'm aiming to get
because it will include:

	sam, wily, rc/es, 9term, 9menu, & 9wm

which are all going to work together with no
problems, with absolutely no problems. . . 

Anyhow, while cleaning I came across this old 
article I'd saved (along with a 300 baud modem 
and some other really useful items!), an interview 
with Bill Joy from the August 1984 issue of 'Unix 
Review'. 

I was surprised at how much of what was mentioned 
during the course of the interview is still 
applicable today, they even touched on sam and 
acme/wily!

First question of course was, "How did vi come about?"

Joy told how he had come to Berkeley in 1975 and they
were first hacking on 'ed' and then someone brought
'em' ('editor for mortals') which they combined into
'en' and eventually 'ex'. When they got the first glass
terminals (1976) they were just playing with them, 
nothing planned, kids showing off: 'I can clear the 
screen and home the cursor,' that kind of accrued 
into "features" that eventually became vi.

He says a Mike Horton came from Bell Labs around that 
time with 'hed' (Horton's editor) but it arrived too 
late and vi already had a sizeable following.

Joy talks about getting a manual page and stealing ideas 
from (this is a direct quote): "the Toronto version of ed, 
which I think Rob Pike had something to do with."

And he mentions "looking forward to the editor Warren
Teitelman is working on. Having editing functionally
everywhere..." Teitelman's work became the Cedar system 
that Wirth saw and developed into the Oberon interface, 
which Pike saw that influenced Acme, and so on, and so on.

Joy even presages 'sam' somewhat, saying he'd toyed with
writing an editor for bitmap and mouse that had "almost 
no commands, (just a) Smalltalk editing menu, a scroll 
bar and a thumb bar."

Why? asks the interviewer. Joy answers: "Since I sort of 
invented the editor that was the most complicated, I 
thought I would compensate by also designing the editor 
that was the most simple."

But then Berkeley got that VAX and Bill became busy doing
other things.

Still, before the article ends they do get in the old, "Real 
programmers use cat as their editor." 

Some things never change.

 - kim